Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model
Interface OWLIndividual

All Superinterfaces:
  Cloneable, OWLEntity, OWLNamedObject, OWLObject, OWLOntologyObject, Serializable

All Known Implementing Classes:
  OWLIndividualImpl

public interface OWLIndividual
extends OWLEntity

An individual object. Each individual has a description and possibly an identifier.

Version:
  $Id: OWLIndividual.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`Map` | `getDataPropertyValues(OWLOntology o)` Returns a `Map` which encapsulates the relationship between this individual and data values in the given ontology.
`Map` | `getDataPropertyValues(Set ontologies)` Returns a `Map` which encapsulates the relationship between this individual and data values in the given ontology.
`Map` | `getIncomingObjectPropertyValues(OWLOntology o)` Returns a `Map` which encapsulate the relationships between other individuals and this individual in the given ontology.
`Map` | `getIncomingObjectPropertyValues(Set ontologies)` Returns a `Map` which encapsulate the relationships between other individuals and this individual in the given ontology.
`Map` | `getObjectPropertyValues(OWLOntology o)` Returns a `Map` which encapsulate the relationships between this individual and other individuals in the given ontology.
`Map` | `getObjectPropertyValues(Set ontologies)` Returns a `Map` which encapsulate the relationships between this individual and other individuals in the given ontology.
`Set` | `getTypes(OWLOntology o)` Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of in the given ontology.
`Set` | `getTypes(Set ontologies)` Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of in the given ontologies.
`boolean` | `isAnonymous()` Indicates whether the individual is anonymous or not.

Methods inherited from interface org.semanticweb.owl.model.OWLEntity
`accept`

Methods inherited from interface org.semanticweb.owl.model.OWLNamedObject
`getURI`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from interface org.semanticweb.owl.model.OWLOntologyObject
`getOntologies`

Method Detail

### isAnonymous

    public boolean isAnonymous()
                        throws OWLException

  Indicates whether the individual is anonymous or not. The whole issue of anonymous individuals will need particular thought and probably refactoring....

    `OWLException`

### getTypes

    public Set getTypes(OWLOntology o)
                 throws OWLException

  Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of in the given ontology.

    `OWLException`

### getTypes

    public Set getTypes(Set ontologies)
                 throws OWLException

  Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of in the given ontologies.

    `OWLException`

### getObjectPropertyValues

    public Map getObjectPropertyValues(OWLOntology o)
                                throws OWLException

  Returns a `Map` which encapsulate the relationships between this individual and other individuals in the given ontology.

    `OWLException`

### getObjectPropertyValues

    public Map getObjectPropertyValues(Set ontologies)
                                throws OWLException

  Returns a `Map` which encapsulate the relationships between this individual and other individuals in the given ontology.

    `OWLException`

### getDataPropertyValues

    public Map getDataPropertyValues(OWLOntology o)
                              throws OWLException

  Returns a `Map` which encapsulates the relationship between this individual and data values in the given ontology.

    `OWLException`

### getDataPropertyValues

    public Map getDataPropertyValues(Set ontologies)
                              throws OWLException

  Returns a `Map` which encapsulates the relationship between this individual and data values in the given ontology.

    `OWLException`

### getIncomingObjectPropertyValues

    public Map getIncomingObjectPropertyValues(Set ontologies)
                                        throws OWLException

  Returns a `Map` which encapsulate the relationships between other individuals and this individual in the given ontology. This is useful if we want to check properties of the individual graphs, for example to check that anonymous individuals are only involved in tree structures.

    `OWLException`

### getIncomingObjectPropertyValues

    public Map getIncomingObjectPropertyValues(OWLOntology o)
                                        throws OWLException

  Returns a `Map` which encapsulate the relationships between other individuals and this individual in the given ontology. This is useful if we want to check properties of the individual graphs, for example to check that anonymous individuals are only involved in tree structures.

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb